dnl Process this file with autoconf to produce a configure script.
AC_INIT(lmem_window.c)

VERSION=\"0.6\"
PACKAGE=lmemory

AM_INIT_AUTOMAKE($PACKAGE, $VERSION, no-define)

dnl AM_ACLOCAL_INCLUDE(macros)

dnl Initialize libtool
AM_PROG_LIBTOOL

dnl Specify a configuration file
AM_CONFIG_HEADER(config.h)

dnl Enable maintainer mode
AM_MAINTAINER_MODE

dnl Checks for programs.
AC_ISC_POSIX
AC_PROG_CC
AC_PROG_INSTALL
AC_PROG_MAKE_SET
AC_STDC_HEADERS
AC_ARG_PROGRAM

AM_PATH_GTK(1.2.0,,
   AC_MSG_ERROR(Cannot find correct version of GTK - is gtk-config in path?))

dnl Checks for header files.
AC_HEADER_STDC
AC_CHECK_HEADERS(fcntl.h unistd.h)

dnl Checks for typedefs, structures, and compiler characteristics.
AC_C_CONST
AC_HEADER_TIME
AC_TYPE_UID_T

dnl Find the X11 include and library directories
AC_PATH_X
AC_PATH_XTRA
 
dnl Checks for library functions.
AC_CHECK_FUNCS(gethostname gettimeofday mkdir socket strerror strtol vsnprintf)

AC_OUTPUT(Makefile)

